//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
//---------------------------------------------------------------------------
USEFORM("About.cpp", AboutBox);
USEFORM("Credits.cpp", CreditsBox);
USEFORM("MultiMPQ.cpp", MultiMPQExport);
USEFORM("DoodadInfo.cpp", DoodadInfoBox);
USEFORM("Options.cpp", OptionsBox);
USEFORM("Splash.cpp", SplashForm);
USEFORM("LoadDir.cpp", OpenDirBox);
USEFORM("Main.cpp", Form1);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
//        EnumWindows();
//        SendMessage();
        try
        {
                 Application->Initialize();
                 Application->Title = "DatEdit";
                 Application->CreateForm(__classid(TForm1), &Form1);
                 Application->CreateForm(__classid(TOptionsBox), &OptionsBox);
                 Application->CreateForm(__classid(TSplashForm), &SplashForm);
                 Application->CreateForm(__classid(TAboutBox), &AboutBox);
                 Application->CreateForm(__classid(TCreditsBox), &CreditsBox);
                 Application->CreateForm(__classid(TMultiMPQExport), &MultiMPQExport);
                 Application->CreateForm(__classid(TDoodadInfoBox), &DoodadInfoBox);
                 Application->CreateForm(__classid(TOpenDirBox), &OpenDirBox);
                 Application->ShowMainForm = false;
                 Application->Run();
        }
        catch (Exception &exception)
        {
                 Application->ShowException(&exception);
        }
        catch (...)
        {
                 try
                 {
                         throw Exception("");
                 }
                 catch (Exception &exception)
                 {
                         Application->ShowException(&exception);
                 }
        }
        return 0;
}
//---------------------------------------------------------------------------



