//---------------------------------------------------------------------------
#pragma hdrstop
#include "Hints.h"
#include "Data.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
//---------------------------------------------------------------------------
/*
#####################################################################
Display the appropriate hint in the Hint Box.
#####################################################################
*/
void LoadHints (TObject* Sender) {
String Hint;
TIniFile *Hints = new TIniFile (Form1->GetProgPath()+"Data\\Hints.txt");

//UNITS EDITOR
if (Form1->GetPage() == 0) {
//BASIC TAB
     if (Form1->GetSubPage() == 0) {
        if (Sender == Form1->UnitHP) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","HP","");
        }
        else if (Sender == Form1->UnitShieldEnable) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","EnableShields","");
        }
        else if (Sender == Form1->UnitSP) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SP","");
        }
        else if (Sender == Form1->UnitArm) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Armor","");
        }
        else if (Sender == Form1->UnitArmUpgrade) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","ArmorUpgrade","");
        }
        else if (Sender == Form1->UnitMinerals) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","MineralsCost","");
        }
        else if (Sender == Form1->UnitVespene) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","VespeneCost","");
        }
        else if (Sender == Form1->UnitTime) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","TimeCost","");
        }
        else if (Sender == Form1->UnitIsBW) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","IsBW","");
        }
        else if (Sender == Form1->UnitWeaponGround || Sender == Form1->UnitWeaponGroundList) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","GroundWeapon","");
        }
        else if (Sender == Form1->UnitGroundMax) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","GroundMax","");
        }
        else if (Sender == Form1->UnitWeaponAir || Sender == Form1->UnitWeaponAirList) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","AirWeapon","");
        }
        else if (Sender == Form1->UnitAirMax) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","AirMax","");
        }
        else if (Sender == Form1->UnitScoreBuild) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","BuildScore","");
        }
        else if (Sender == Form1->UnitScoreDestroy) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","DestroyScore","");
        }
        else if (Sender == Form1->UnitSpaceProv) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SpaceProvided","");
        }
        else if (Sender == Form1->UnitSpaceReq) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SpaceRequired","");
        }
        else if (Sender == Form1->UnitSupProv) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SupplyProvided","");
        }
        else if (Sender == Form1->UnitSupReq) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SupplyRequired","");
        }
        else if (Sender == Form1->UnitSize) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","UnitSize","");
        }
        else if (Sender == Form1->UnitSight) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","UnitSight","");
        }
        else if (Sender == Form1->UnitSEGroupProtoss) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SEProtoss","");
        }
        else if (Sender == Form1->UnitSEGroupTerran) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SETerran","");
        }
        else if (Sender == Form1->UnitSEGroupZerg) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SEZerg","");
        }
        else if (Sender == Form1->UnitSubRange) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SubunitRange","");
        }
     }
//ADVANCED TAB
     else if (Form1->GetSubPage() == 1) {
        if (Sender == Form1->UnitAdvAddon) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Addon","");
        }
        else if (Sender == Form1->UnitAdvAnimIdle) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","AnimatedIdle","");
        }
        else if (Sender == Form1->UnitAdvAttackRange) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","AttackRange","");
        }
        else if (Sender == Form1->UnitAdvAttackSight) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","AttackSight","");
        }
        else if (Sender == Form1->UnitAdvBuilding) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Building","");
        }
        else if (Sender == Form1->UnitAdvBurrow) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Burrowable","");
        }
        else if (Sender == Form1->UnitAdvCloak) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Cloakable","");
        }
        else if (Sender == Form1->UnitAdvCreep) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","CreepBuilding","");
        }
        else if (Sender == Form1->UnitAdvDetect) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Detector","");
        }
        else if (Sender == Form1->UnitAdvFlyBuilding) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","FlyingBuilding","");
        }
        else if (Sender == Form1->UnitAdvFlyer) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Flyer","");
        }
        else if (Sender == Form1->UnitAdvHero) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Hero","");
        }
        else if (Sender == Form1->UnitAdvInv) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Invincible","");
        }
        else if (Sender == Form1->UnitAdvMech) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Mechanical","");
        }
        else if (Sender == Form1->UnitAdvIgnoreSupply) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","IgnoreSupply","");
        }
        else if (Sender == Form1->UnitAdvSingle) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Single","");
        }
        else if (Sender == Form1->UnitAdvOrg) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Organic","");
        }
        else if (Sender == Form1->UnitAdvOverlayLarge) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","OverlayLarge","");
        }
        else if (Sender == Form1->UnitAdvOverlayMed) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","OverlayMedium","");
        }
        else if (Sender == Form1->UnitAdvPermaCloak) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","PermanentCloak","");
        }
        else if (Sender == Form1->UnitAdvPickup) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Pickup","");
        }
        else if (Sender == Form1->UnitAdvProd) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","ProducesUnits","");
        }
        else if (Sender == Form1->UnitAdvPsi) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","RequiresPsi","");
        }
        else if (Sender == Form1->UnitAdvReg) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Regenerates","");
        }
        else if (Sender == Form1->UnitAdvResContainer) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","ResourceContainer","");
        }
        else if (Sender == Form1->UnitAdvResDepot) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","ResourceDepot","");
        }
        else if (Sender == Form1->UnitAdvRobo) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Robotical","");
        }
        else if (Sender == Form1->UnitAdvSpellcaster) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Spellcaster","");
        }
        else if (Sender == Form1->UnitAdvSub) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Subunit","");
        }
        else if (Sender == Form1->UnitAdvTwoInEgg) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","TwoInOneEgg","");
        }
        else if (Sender == Form1->UnitAdvUnused) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Unused","");
        }
        else if (Sender == Form1->UnitAdvWorker) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Worker","");
        }
        else if (Sender == Form1->UnitMov01) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Mov01","");
        }
        else if (Sender == Form1->UnitMov02) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Mov02","");
        }
        else if (Sender == Form1->UnitMov04) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Mov04","");
        }
        else if (Sender == Form1->UnitMov08) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Mov08","");
        }
        else if (Sender == Form1->UnitMov10) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Mov10","");
        }
        else if (Sender == Form1->UnitMov20) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Mov20","");
        }
        else if (Sender == Form1->UnitMov40) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Mov40","");
        }
        else if (Sender == Form1->UnitMov80) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Mov80","");
        }
        else if (Sender == Form1->UnitUnk1) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Restricts","");
        }
        else if (Sender == Form1->UnitSub1) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Subunit1","");
        }
        else if (Sender == Form1->UnitSub2) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Subunit2","");
        }
     }
//MOVEMENT/SOUND TAB
     else if (Form1->GetSubPage() == 2) {
        if (Sender == Form1->UnitSndReady || Sender == Form1->UnitSndReadyList) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SoundReady","");
        }
        else if (Sender == Form1->UnitSndAnnStart || Sender == Form1->UnitSndAnnStartList) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SoundAnnoyedStart","");
        }
        else if (Sender == Form1->UnitSndAnnEnd || Sender == Form1->UnitSndAnnEndList) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SoundAnnoyedEnd","");
        }
        else if (Sender == Form1->UnitSndWhatStart || Sender == Form1->UnitSndWhatStartList) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SoundWhatStart","");
        }
        else if (Sender == Form1->UnitSndWhatEnd || Sender == Form1->UnitSndWhatEndList) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SoundWhatEnd","");
        }
        else if (Sender == Form1->UnitSndYesStart || Sender == Form1->UnitSndYesStartList) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SoundYesStart","");
        }
        else if (Sender == Form1->UnitSndYesEnd || Sender == Form1->UnitSndYesEndList) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SoundYesEnd","");
        }
     }
//GRAPHICS TAB
     else if (Form1->GetSubPage() == 3) {
        if (Sender == Form1->UnitDimLeft) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Left","");
        }
        else if (Sender == Form1->UnitDimDown) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Down","");
        }
        else if (Sender == Form1->UnitDimRight) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Right","");
        }
        else if (Sender == Form1->UnitDimUp) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Up","");
        }
        else if (Sender == Form1->UnitGfx) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Graphics","");
        }
        else if (Sender == Form1->UnitConst) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Construction","");
        }
        else if (Sender == Form1->UnitInfest) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Infestation","");
        }
        else if (Sender == Form1->UnitPort) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Portrait","");
        }
        else if (Sender == Form1->UnitAnimLevel) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","AnimationLevel","");
        }
        else if (Sender == Form1->UnitDirection) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Direction","");
        }
        else if (Sender == Form1->UnitAddPosX) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","AddonHorizontal","");
        }
        else if (Sender == Form1->UnitAddPosY) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","AddonVertical","");
        }
     }
//STAREDIT TAB
     else if (Form1->GetSubPage() == 4) {
        if (Sender == Form1->UnitSE0x400 || Sender == Form1->UnitSE0x800 || Sender == Form1->UnitSE0x1000 || Sender == Form1->UnitSE0x2000 || Sender == Form1->UnitSE0x4000 || Sender == Form1->UnitSE0x800) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SEUnused","");
        }
        else if (Sender == Form1->UnitSENonLoc) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SENonLoc","");
        }
        else if (Sender == Form1->UnitSELoc) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SELoc","");
        }
        else if (Sender == Form1->UnitSEBriefing) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SEBriefing","");
        }
        else if (Sender == Form1->UnitSEAllRaces) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SEAllRaces","");
        }
        else if (Sender == Form1->UnitSEBriefing) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SEBriefing","");
        }
        else if (Sender == Form1->UnitSEBW) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SEBW","");
        }
        else if (Sender == Form1->UnitSENonNeutral) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SENonNeutral","");
        }
        else if (Sender == Form1->UnitSEListing) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SEListing","");
        }
        else if (Sender == Form1->UnitSEUnitHero) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SEUnitHero","");
        }
        else if (Sender == Form1->UnitSEDoodadState) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SEDoodadState","");
        }
        else if (Sender == Form1->UnitSEPlayerSet) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SEPlayerSet","");
        }
        else if (Sender == Form1->UnitSEGroupBuilding) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SEBuilding","");
        }
        else if (Sender == Form1->UnitSEGroupFactory) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SEFactory","");
        }
        else if (Sender == Form1->UnitSEGroupInd) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SEIndependent","");
        }
        else if (Sender == Form1->UnitSEGroupMen) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SEMen","");
        }
        else if (Sender == Form1->UnitSEGroupNeutral) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SENeutral","");
        }
        else if (Sender == Form1->UnitMapString) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","MapString","");
        }
        else if (Sender == Form1->UnitSublabel) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Sublabel","");
        }
        else if (Sender == Form1->UnitRank) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Rank","");
        }
        else if (Sender == Form1->UnitSEPlaceWidth) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SEWidth","");
        }
        else if (Sender == Form1->UnitSEPlaceHeight) {
            Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SEHeight","");
        }
     }
//AI/ORDERS TAB
     else if (Form1->GetSubPage() == 5) {
        if (Sender == Form1->UnitAICompIdle) {
           Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","AIComputerIdle","");
        }
        else if (Sender == Form1->UnitAIHumanIdle) {
           Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","AIHumanIdle","");
        }
        else if (Sender == Form1->UnitAIInternal) {
           Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","AIInternal","");
        }
        else if (Sender == Form1->UnitAIReturn) {
           Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","AIReturn","");
        }
        else if (Sender == Form1->UnitAIAttackMove) {
           Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","AIAttackMove","");
        }
        else if (Sender == Form1->UnitAIAttackUnit) {
           Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","AIAttackUnit","");
        }
        else if (Sender == Form1->UnitAIRightClick) {
           Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","AIRightClick","");
        }
     }
}
//WEAPONS EDITOR
else if (Form1->GetPage() == 1) {
     if (Sender == Form1->WeapAmount) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","DamageAmount","");
     }
     else if (Sender == Form1->WeapBonus) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","DamageBonus","");
     }
     else if (Sender == Form1->WeapCooldown) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Cooldown","");
     }
     else if (Sender == Form1->WeapExplosion) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Explosion","");
     }
     else if (Sender == Form1->WeapFactor) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Factor","");
     }
     else if (Sender == Form1->WeapUnused) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Unused","");
     }
     else if (Sender == Form1->WeapType) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","DamageType","");
     }
     else if (Sender == Form1->WeapUpgrade) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Upgrade","");
     }
     else if (Sender == Form1->WeapLabel) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Label","");
     }
     else if (Sender == Form1->WeapError) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Error","");
     }
     else if (Sender == Form1->WeapAttackAngle) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","AttackAngle","");
     }
     else if (Sender == Form1->WeapBehaviour) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Behaviour","");
     }
     else if (Sender == Form1->WeapForwardOffset) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","ForwardOffset","");
     }
     else if (Sender == Form1->WeapGraphics || Sender == Form1->WeapGraphicsList) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Graphics","");
     }
     else if (Sender == Form1->WeapIcon || Sender == Form1->WeapIconList) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Icon","");
     }
     else if (Sender == Form1->WeapLaunchSpin) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","LaunchSpin","");
     }
     else if (Sender == Form1->WeapMissile) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Missile","");
     }
     else if (Sender == Form1->WeapUpwardOffset) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","UpwardOffset","");
     }
     else if (Sender == Form1->WeapRangeMin) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","RangeMin","");
     }
     else if (Sender == Form1->WeapRangeMax) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","RangeMax","");
     }
     else if (Sender == Form1->WeapInner) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SplashInner","");
     }
     else if (Sender == Form1->WeapMed) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SplashMedium","");
     }
     else if (Sender == Form1->WeapOuter) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SplashOuter","");
     }
     else if (Sender == Form1->WeapTarget001) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","TargetFlag001","");
     }
     else if (Sender == Form1->WeapTarget002) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","TargetFlag002","");
     }
     else if (Sender == Form1->WeapTarget004) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","TargetFlag004","");
     }
     else if (Sender == Form1->WeapTarget008) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","TargetFlag008","");
     }
     else if (Sender == Form1->WeapTarget010) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","TargetFlag010","");
     }
     else if (Sender == Form1->WeapTarget020) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","TargetFlag020","");
     }
     else if (Sender == Form1->WeapTarget040) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","TargetFlag040","");
     }
     else if (Sender == Form1->WeapTarget080) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","TargetFlag080","");
     }
     else if (Sender == Form1->WeapTarget100) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","TargetFlag100","");
     }
}
//FLINGY EDITOR
else if (Form1->GetPage() == 2) {
     if (Sender == Form1->FlingySprite) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SpriteFile","");
     }
     else if (Sender == Form1->FlingySpriteList) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SpriteFile","");
     }
     else if (Sender == Form1->FlingyHaltDist) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","HaltDistance","");
     }
     else if (Sender == Form1->FlingyMoveControl) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","MoveControl","");
     }
     else if (Sender == Form1->FlingySpeed) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","TopSpeed","");
     }
     else if (Sender == Form1->FlingyUnk) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Unknown","");
     }
     else if (Sender == Form1->FlingyTurnRad) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","TurnRadius","");
     }
     else if (Sender == Form1->FlingyAcceleration) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Acceleration","");
     }
}
//SPRITES EDITOR
else if (Form1->GetPage() == 3) {
     if (Sender == Form1->SpriteFile) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","ImageFile","");
     }
     else if (Sender == Form1->SpriteImageList) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","ImageFile","");
     }
     else if (Sender == Form1->SpriteHPBar) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","HPBar","");
     }
     else if (Sender == Form1->SpriteUnk1) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Unknown1","");
     }
     else if (Sender == Form1->SpriteVisible) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","IsVisible","");
     }
     else if (Sender == Form1->SpriteCircleOff) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","VertPosition","");
     }
     else if (Sender == Form1->SpriteSelCircle) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","CircleSize","");
     }
     else if (Sender == Form1->SpriteCircleSize) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","CircleSize","");
     }
}
//IMAGES EDITOR
else if (Form1->GetPage() == 4) {
     if (Sender == Form1->ImgGRP) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","GRPFile","");
     }
     else if (Sender == Form1->ImgGRPTBL) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","GRPFile","");
     }
     else if (Sender == Form1->ImgIscriptID || Sender == Form1->ImgIscriptIDList) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","IscriptID","");
     }
     else if (Sender == Form1->ImgGfxTurns) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","GfxTurns","");
     }
     else if (Sender == Form1->ImgClickable) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Clickable","");
     }
     else if (Sender == Form1->ImgUseIscript) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","UseFullIscript","");
     }
     else if (Sender == Form1->ImgDrawCloaked) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","DrawIfCloaked","");
     }
     else if (Sender == Form1->ImgOL1) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Overlay1","");
     }
     else if (Sender == Form1->ImgOL2) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Overlay2","");
     }
     else if (Sender == Form1->ImgOL3) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Overlay3","");
     }
     else if (Sender == Form1->ImgOL4) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Overlay4","");
     }
     else if (Sender == Form1->ImgOL5) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Overlay5","");
     }
     else if (Sender == Form1->ImgShield) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","ShieldGfx","");
     }
     else if (Sender == Form1->ImgShieldOL) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","ShieldGfx","");
     }
     else if (Sender == Form1->ImgPalette) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Palette","");
     }
     else if (Sender == Form1->ImgPalSpec) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","PaletteSpecial","");
     }
}
//UPGRADES EDITOR
else if (Form1->GetPage() == 5) {
     if (Sender == Form1->UpgIcon || Sender == Form1->UpgIconList) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Icon","");
     }
     else if (Sender == Form1->UpgLabel || Sender == Form1->UpgLabelList) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Label","");
     }
     else if (Sender == Form1->UpgIsBW) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","IsBW","");
     }
     else if (Sender == Form1->UpgRace) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Race","");
     }
     else if (Sender == Form1->UpgRepeats) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Repeats","");
     }
     else if (Sender == Form1->UpgUnk) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Unknown","");
     }
     else if (Sender == Form1->UpgMinerals) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","MineralsCostBase","");
     }
     else if (Sender == Form1->UpgVespene) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","VespeneCostBase","");
     }
     else if (Sender == Form1->UpgTime) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","TimeCostBase","");
     }
     else if (Sender == Form1->UpgFactorMinerals) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","MineralsCostFactor","");
     }
     else if (Sender == Form1->UpgFactorVespene) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","VespeneCostFactor","");
     }
     else if (Sender == Form1->UpgFactorTime) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","TimeCostFactor","");
     }
}
//TECHNOLOGY EDITOR
else if (Form1->GetPage() == 6) {
     if (Sender == Form1->TechIcon || Sender == Form1->TechIconList) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Icon","");
     }
     else if (Sender == Form1->TechLabel || Sender == Form1->TechLabelList) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Label","");
     }
     else if (Sender == Form1->TechMana) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","ManaCost","");
     }
     else if (Sender == Form1->TechMinerals) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","MineralsCost","");
     }
     else if (Sender == Form1->TechVespene) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","VespeneCost","");
     }
     else if (Sender == Form1->TechTime) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","TimeCost","");
     }
     else if (Sender == Form1->TechBW) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","IsBW","");
     }
     else if (Sender == Form1->TechRace) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Race","");
     }
     else if (Sender == Form1->TechUnused) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Unused","");
     }
     else if (Sender == Form1->TechUnk) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Unknown","");
     }
}
//SOUND EDITOR
else if (Form1->GetPage() == 7) {
     if (Sender == Form1->SoundFile) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SoundFile","");
     }
     else if (Sender == Form1->SoundTBL) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SoundFile","");
     }
     else if (Sender == Form1->SoundUnk1) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Unknown1","");
     }
     else if (Sender == Form1->SoundUnk2) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Unknown2","");
     }
     else if (Sender == Form1->SoundUnk3) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Unknown3","");
     }
     else if (Sender == Form1->SoundUnk4) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Unknown4","");
     }
}
//PORTRAIT EDITOR
else if (Form1->GetPage() == 8) {
     if (Sender == Form1->PortFile) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","PortraitFile","");
     }
     else if (Sender == Form1->PortTBL) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","PortraitFile","");
     }
     else if (Sender == Form1->PortSMKChange) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","SMKChange","");
     }
     else if (Sender == Form1->PortUnk1) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Unknown1","");
     }
}
//CAMPAIGN EDITOR
else if (Form1->GetPage() == 9) {
     if (Sender == Form1->MapFile) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","MapFile","");
     }
     else if (Sender == Form1->MapTBL) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","MapFile","");
     }
}
//ORDERS EDITOR
else if (Form1->GetPage() == 10) {
     if (Sender == Form1->OrdAnimation) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Animation","");
     }
     else if (Sender == Form1->OrdEmulate) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Emulate","");
     }
     else if (Sender == Form1->OrdLabel) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Label","");
     }
     else if (Sender == Form1->OrdTech) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Technology","");
     }
     else if (Sender == Form1->OrdWeapon) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Weapon","");
     }
     else if (Sender == Form1->OrdWeapTarg) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","WeaponTargeting","");
     }
     else if (Sender == Form1->OrdUnk2) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Unknown2","");
     }
     else if (Sender == Form1->OrdUnk3) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Unknown3","");
     }
     else if (Sender == Form1->OrdUnk4) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Unknown4","");
     }
     else if (Sender == Form1->OrdUnk5) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Unknown5","");
     }
     else if (Sender == Form1->OrdInterupt) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","CanBeInterrupted","");
     }
     else if (Sender == Form1->OrdUnk7) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Unknown7","");
     }
     else if (Sender == Form1->OrdQueue) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","CanBeQueued","");
     }
     else if (Sender == Form1->OrdUnk9) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Unknown9","");
     }
     else if (Sender == Form1->OrdUnk10) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Unknown10","");
     }
     else if (Sender == Form1->OrdUnk11) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Unknown11","");
     }
     else if (Sender == Form1->OrdUnk12) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Unknown12","");
     }
     else if (Sender == Form1->OrdHighlight || Sender == Form1->OrdHighlightList) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Highlight","");
     }
     else if (Sender == Form1->OrdUnk) {
        Hint=Hints->ReadString(GetDATType(Form1->GetPage())+" "+"Editor","Unk","");
     }
}
Form1->InfoText->Text = Hint;
delete Hints;
};
//---------------------------------------------------------------------------
