#include <io.h>
#include <fcntl.h>
#include <StrUtils.hpp>
#include "Main.h"
#include "LoadList.h"
#include "SFmpqapi.h"

//---------------------------------------------------------------------------
#ifndef DataH
#define DataH
//---------------------------------------------------------------------------
void CheckDATFile (String FileName);
void SaveDatFile();
bool CheckMPQFile (String MPQFileName);
bool ImportFileFromMpq (String MpqName,String FileName);
void SaveTempFile (void** Buffer,int FileSize,String FileName);
void ExportToMpq (String MpqName,String FileName);
void ClearMPQImportData();
//---------------------------------------------------------------------------
int GetOrigin (int Index, int PageIndex);
int GetSubOrigin (int Index);
int GetSortData (int Index, int PageIndex);
int GetUnitsSortData (int Index);
int GetUnitsSortSubData (int Index);
int GetDATSize (int DATType);
int* GetTabMemoryOffs (int Tab);
String GetDATType (int PageIndex);
String GetDataType (int PageIndex);
String GetTBLType (int Index);
TTreeView* GetDATList (int PageIndex);
//---------------------------------------------------------------------------
void CheckSortingStyle (int SortingStyle, int PageIndex);
void ClearTemp();
//---------------------------------------------------------------------------
#endif
