//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "EditTBL.h"
#include "Main.h"
#include "TBLParser.h"
#include "Data.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TEditTBLBox *EditTBLBox;
//---------------------------------------------------------------------------
__fastcall TEditTBLBox::TEditTBLBox(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TEditTBLBox::FormShow(TObject *Sender)
{
String TBLPath;
if (Form1->GetTBLIsMPQImport(GetEditTBLType()) == true) {
   TBLPath = Form1->GetMPQTBL(GetEditTBLType());
}
else {
   TBLPath = Form1->GetTBL(GetEditTBLType());
}
TBLLabel->Caption = "Editing line #"+String(GetTBLStringIndex())+" in file: "+TBLPath;
OldString->Text = GetTBLStrings()->Strings[EditTBLBox->GetTBLStringIndex()];
NewString->Text = OldString->Text;
EditTBLBox->SetFocusedControl(NewString);
}
//---------------------------------------------------------------------------
void __fastcall TEditTBLBox::CancelClick(TObject *Sender)
{
EditTBLBox->Close();
}
//---------------------------------------------------------------------------
void __fastcall TEditTBLBox::FormKeyDown(TObject *Sender, WORD &Key,
      TShiftState Shift)
{
if (Key == VK_ESCAPE) {
   EditTBLBox->Close();
}
}
//---------------------------------------------------------------------------
void __fastcall TEditTBLBox::OKClick(TObject *Sender)
{
bool DoThingz=true;
if (ExtractFilePath(Form1->GetTBL(GetEditTBLType())).Pos("default") != 0) {
   if (MessageDlg(String("Are you sure that you want to overwrite the default \""+GetTBLType(GetEditTBLType())+".tbl\" file?").c_str(), mtConfirmation, mbOKCancel, 0) != 1) {
      DoThingz = false;
   }
}
if (DoThingz == true) {
   String TBLPath;
   if (Form1->GetTBLIsMPQImport(GetEditTBLType()) == true) {
      TBLPath = Form1->GetMPQTBL(GetEditTBLType());
   }
   else {
      TBLPath = Form1->GetTBL(GetEditTBLType());
   }
   ModifyTBL(TBLPath, GetTBLStrings(), GetTBLStringIndex(),NewString->Text);
   EditTBLBox->Close();
}
};
//---------------------------------------------------------------------------
/*
0,Stat_txt
1,Images
2,Portdata
3,Sfxdata
4,Mapdata
*/

void TEditTBLBox::SetEditTBLType (int TBLType)
{
EditTBLBox->TBLType = TBLType;
}

int TEditTBLBox::GetEditTBLType ()
{
return EditTBLBox->TBLType;
};
//---------------------------------------------------------------------------

void TEditTBLBox::SetTBLStrings (TStrings* TBLStrings)
{
EditTBLBox->TBLStrings = TBLStrings;
}

TStrings *TEditTBLBox::GetTBLStrings ()
{
return EditTBLBox->TBLStrings;
};
//---------------------------------------------------------------------------

void TEditTBLBox::SetTBLStringIndex (int StringIndex)
{
EditTBLBox->TBLStringIndex = StringIndex;
}

int TEditTBLBox::GetTBLStringIndex ()
{
return EditTBLBox->TBLStringIndex;
};
//---------------------------------------------------------------------------


