//---------------------------------------------------------------------------

#ifndef EditTBLH
#define EditTBLH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
class TEditTBLBox : public TForm
{
__published:	// IDE-managed Components
        TEdit *OldString;
        TEdit *NewString;
        TLabel *LabelOldString;
        TLabel *LabelNewString;
        TButton *OK;
        TButton *Cancel;
        TGroupBox *GroupBox1;
        TLabel *Label1;
        TLabel *Label2;
        TLabel *TBLLabel;
        void __fastcall FormShow(TObject *Sender);
        void __fastcall CancelClick(TObject *Sender);
        void __fastcall FormKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall OKClick(TObject *Sender);
private:	// User declarations
        int TBLType;
        int TBLStringIndex;
        TStrings* TBLStrings;
public:		// User declarations
        void SetEditTBLType (int TBLType);
        void SetTBLStrings (TStrings* TBLStrings);
        void SetTBLStringIndex (int StringIndex);

        TStrings* GetTBLStrings();
        int GetEditTBLType();
        int GetTBLStringIndex();
        __fastcall TEditTBLBox(TComponent* Owner);

};
//---------------------------------------------------------------------------
extern PACKAGE TEditTBLBox *EditTBLBox;
//---------------------------------------------------------------------------
#endif
