//---------------------------------------------------------------------------

#ifndef MultiMPQH
#define MultiMPQH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TMultiMPQExport : public TForm
{
__published:	// IDE-managed Components
        TCheckBox *MPQUnits;
        TCheckBox *MPQOrders;
        TCheckBox *MPQMaps;
        TCheckBox *MPQWeapons;
        TCheckBox *MPQFlingy;
        TCheckBox *MPQSprites;
        TCheckBox *MPQImages;
        TCheckBox *MPQUpgrades;
        TCheckBox *MPQTech;
        TCheckBox *MPQSounds;
        TCheckBox *MPQPortraits;
        TLabel *MultiMPQLabel;
        TGroupBox *MultiMPQPanel;
        TButton *MultiMPQOK;
        TButton *MultiMPQCancel;
        TCheckBox *MultiMPQKeep;
        TGroupBox *MultiMPQOther;
        TCheckBox *MPQTBLStat;
        TCheckBox *MPQTBLImages;
        TCheckBox *MPQTBLPortdata;
        TCheckBox *MPQTBLMapdata;
        TCheckBox *MPQIcons;
        TCheckBox *MPQTBLSfx;
        TBevel *MultiMPQOtherBevel;
        void __fastcall MultiMPQCancelClick(TObject *Sender);
        void __fastcall MultiMPQOKClick(TObject *Sender);
        void __fastcall FormShow(TObject *Sender);
        void __fastcall FormKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
private:	// User declarations
public:
       TBits *MultiMPQDats,*MultiMPQTBLs;
       bool MultiMPQIcons;
       __fastcall TMultiMPQExport(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMultiMPQExport *MultiMPQExport;
//---------------------------------------------------------------------------
#endif
