//---------------------------------------------------------------------------

#ifndef OptionsH
#define OptionsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Dialogs.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TOptionsBox : public TForm
{
__published:	// IDE-managed Components
        TButton *OptionsBoxOK;
        TOpenDialog *LoadTBL;
        TOpenDialog *LoadIcons;
        TPanel *Options;
        TGroupBox *CustomTBLs;
        TLabel *PortdataLabel;
        TLabel *ImagesLabel;
        TLabel *StatLabel;
        TLabel *SfxLabel;
        TLabel *MapdataLabel;
        TEdit *StatPath;
        TEdit *ImagesPath;
        TEdit *PortdataPath;
        TEdit *SfxPath;
        TEdit *MapdataPath;
        TButton *StatLoad;
        TButton *ImagesLoad;
        TButton *PortdataLoad;
        TButton *SfxLoad;
        TButton *MapdataLoad;
        TButton *DefaultStat;
        TButton *DefaultImages;
        TButton *DefaultPortdata;
        TButton *DefaultSfx;
        TButton *DefaultMapdata;
        TGroupBox *CustomIconsPanel;
        TLabel *cmdiconsLabel;
        TButton *IconsDef;
        TButton *IconsLoad;
        TEdit *IconsPath;
        TGroupBox *GenOptionsPanel;
        TLabel *StartEditorLabel;
        TCheckBox *ConfirmOnExit;
        TCheckBox *ShowUnitSizePreview;
        TCheckBox *UseBackwardReporting;
        TButton *ClearHistory;
        TButton *DefaultSize;
        TComboBox *StartEditor;
        TCheckBox *ShowHints;
        TCheckBox *ShowSplash;
        TCheckBox *UseCustomNames;
        TButton *AssociateDAT;
        void __fastcall FormKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall ClearHistoryClick(TObject *Sender);
        void __fastcall DefaultSizeClick(TObject *Sender);
        void __fastcall OptionsBoxOKClick(TObject *Sender);
        void __fastcall FormShow(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall CustomTBLLoad(TObject *Sender);
        void __fastcall LoadTBLCanClose(TObject *Sender,
          bool &CanClose);
        void __fastcall DefaultTBLClick(TObject *Sender);
        void __fastcall TBLPathChange(TObject *Sender);
        void __fastcall IconsLoadClick(TObject *Sender);
        void __fastcall LoadIconsCanClose(TObject *Sender, bool &CanClose);
        void __fastcall IconsDefClick(TObject *Sender);
        void __fastcall IconsPathChange(TObject *Sender);
        void __fastcall ClearBookmarksClick(TObject *Sender);
        void __fastcall AssociateDATClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TOptionsBox(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TOptionsBox *OptionsBox;
//---------------------------------------------------------------------------
#endif
